XBD(4)

NAME
xbd - Xen frontend paravirtualized block device interface

SYNOPSIS
xbd* at xenbus?

DESCRIPTION
The xbd interface forms the frontend part of the paravirtualized drivers used by Xen guest domains to have a block device interface.

From a guest point of view, xbd is similar to a hard disk, and can be treated in the very same way regarding partitioning, file systems creation and usage, and mounting. By default, a NetBSD guest domain will assume that “xbd0a” serves as the root file system.

When the host is NetBSD, the xbd interface is backed by a xbdback(4) interface. In the XenStore, xbd and xbdback are identified by “vbd” (virtual block device) entries.

DIAGNOSTICS

xbd%d: using event channel %d Specifies the event channel used by this xbd interface.

xbd%d: %s MB, %d bytes/sect x %u sectors Gives the total size of the xbd block device, its sector size and total number of sectors.

xbd%d: WARNING: cache flush not supported by backend The backend driver associated with this xbd device does not support cache flushing operation. This can be problematic for file system operations that require cache sync to avoid data loss or corruption.

SEE ALSO
xbdback(4), xenbus(4), dkctl(8)

HISTORY
The xbd driver first appeared in NetBSD 3.0.

AUTHORS
-nosplit The xbd driver was written by Manuel Bouyer <bouyer@NetBSD.org>.